//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Security.Principal;

namespace CommunityServer.Components
{
	/// <summary>
	/// Summary description for IRole.
	/// </summary>
	public interface IRoles
	{
        bool RoleExists(string roleName);
        void CreateRole(string roleName);
        void AddUserToRole(string userName,string role);
        string[] GetRolesForUser(string userName);
        void RemoveUserFromRole(string userName,string role);
        string[] GetRolesFromPrinciple(IPrincipal user );
        string[] GetAllRoles();
	}

}
